<?
header('Content-Type: text/html; charset=utf-8');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Xaira collocation</title>
<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
</head>
<body>
<H1>Xaira collocation</H1>
<form method="get" action="test4.php">
<p>Enter CQL query<input type="textarea" size="100" name="query"/></p>
<p><input type="submit" /></p>
</form>
<table border="1"><col></col><col align="right"/><col/><col/><col/><col/>
<?
if (!array_key_exists('query',$_GET)) return;
$server=XairaServer::getXairaServer('bnc');
$n=0;
try {
	$sol=$server->solve("<cql><lemma>".$_GET['query']."</lemma></cql>"); 
	$ct=$sol->makeCollocationTable(".*","",XAIROCOLLOCATIONTABLE_CM_Z,array("wl"=>3,"wr"=>3),20,-1E20,1E20,0);
//	$ct=$sol->makeCollocationTable(".*","",0,array("wl"=>3,"wr"=>3));

}
catch (XairoError $f)
{
	echo "Error in query";
	echo $f->getMessage();
	return;
}
$n=$ct?$ct->getCount():0;
echo $n . " collocates";
if ($n==0) return;
$k=1;
for($i=0;$i<$n;$i++) {
	$c=$ct->getCollocate($i);
	echo "<TR><TD>";
	echo $k++;
	echo "</TD><TD>";
	echo $c->getWord()->getNorm(0);
	echo "</TD><TD>";
	echo $c->getHits();
	echo "</TD><TD>";
	printf("%.2f",$c->getScore());
	echo"</TD></TR>";
	}
?>
</table>
</body>
</html>
