<?
header('Content-Type: text/html; charset=utf-8');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Xaira query</title>
<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
<?
function getLeft()
{
	global $hit, $server, $trim;
	$n=$trim; $s="";
	$t=$hit->getCursorStart()-1;
	while ($n--) {
		do {
			$u=$server->getUsage($t--);
		} while ($u->getType() != 0);
		$s=$u->getText()." ".$s;
	}				
	return $s;	
}	

function getMid()
{
	global $hit,$server;
	$t=$hit->getCursorStart();
	$u=$server->getUsage($t);
	$s=$u->getText();
	return $s;	
}

function getRight()
{
	global $hit, $server, $trim;
	$n=$trim; $s="";
	$t=$hit->getCursorEnd();
	while ($n--) {
		do {
			$u=$server->getUsage($t++);
		} while ($u->getType() != 0);
		$s=$s." ".$u->getText();
	}				
	return $s;	
}	
?>	

</head>
<body>
<H1>Xaira query</H1>
<form method="get" action="test1.php">
<p>Enter CQL query<input type="textarea" size="100" name="query"/></p>
<p><input type="submit" /></p>
</form>
<table border="1"><col></col><col align="right"/><col/><col/><col/><col/>
<?
if (!array_key_exists('query',$_GET)) return;
echo  "<P>";
echo htmlspecialchars($_GET['query']);
echo "</P>";
$server=XairaServer::getXairaServer('csl');
$trim=5;
try {
	$sol=$server->solve(stripslashes($_GET['query'])); 
}
catch (XairoError $f)
{
	echo "<P>Error in query</P>";
	echo $f->getMessage();
	return;
}
$n=$sol?$sol->GetCount():0;
echo $n . " solutions";
for ($k=0;$k<$n;$k++) {
	$hit=$sol->getHit($k);
	echo "<TR><TD>";
	echo $k + 1;
	echo "</TD><TD>";
	echo getLeft();
	echo "</TD><TD><FONT COLOR=\"RED\"/>";
	echo getMid();
	echo "</TD><TD>";
	echo getRight();
	echo "</TD><TD>";
	echo $hit->getCorpusText()->getTitle();
	echo "</TD><TD>";
	echo $hit->getUnit();
	echo"</TD></TR>";
	}

?>
</table>
</body>
</html>
