<?
header('Content-Type: text/html; charset=utf-8');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Xaira forms</title>
<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
</head>
<body>
<H1>Xaira form list</H1>
<form method="get" action="test3.php">
<p>Enter word <input type="textarea" size="100" name="query" /></p>
<p><input type="submit" /></p>
</form>
<?
if (!array_key_exists('query',$_GET)) return;
$server=XairaServer::getXairaServer('bnc');
try {

	$wl=$server->getWordList($_GET['query']); 
}
catch (XairoError $f)
{
	echo "Error in pattern";
	echo $f->getMessage();
	return;
}
$n=0;
if ($wl) {
	$w=$wl->getWord(0);
	$n=$w->getFormCount(); 
}
echo $n . " forms";
if ($n==0) return;
$g=$server->getGrammar();
$t=$g->getAddkeyCount();
echo "<table border=\"1\">";
echo "<TR><TD/><TD/>";
for ($m=0;$m<$t;$m++) {
	$ak=$g->getAddkey($m);
	if ($ak->isLemmaScheme()) continue;
	echo "<TD>".$ak->getName()."</TD>";
}
echo "</TR>";	
$k=1;
for ($i=0;$i<$n;$i++) {
	$form=$w->getForm($i);
	echo "<TR>";
	echo "<TD>".$k++."</TD>";
	echo "<TD>".$w->getNorm(0)."</TD>";
	$q="<cql><pos><word>".$w->getNorm(0)."</word>";
	for ($m=0;$m<$t;$m++) {
		$ak=$g->getAddkey($m);
		if ($ak->isLemmaScheme()) continue;
		$a=$ak->getName();
		echo "<TD>".$form->getAdditionalKey($a)."</TD>";
		$q=$q."<poscode key=\"".$a."\">".$form->getAdditionalKey($a)."</poscode>";
	}
	$q=$q."</pos></cql>";
	echo "<TD>".$form->getFrequency()."</TD>";
	echo "<TD>";
	echo "<A HREF='test1.php?query=";
	echo rawurlencode($q);
	echo "'>Query</A>"; 
	echo "</TD>";
	echo "</TR>";
}
?>
</table>
</body>
</html>
